<div class="checklist-edit">
  <input
    type="text"
    [(ngModel)]="checklist.name"
    (keypress)="onNameKeypress($event)">
  <img
    class="cloud-icon"
    src="assets/img/ic_cloud_circle_white_24dp_2x.png">
  <div class="tags-holder">
    <app-tag
      *ngFor="let tag of getTagsArray(); let i = index"
      [index]="index">
    </app-tag>
  </div>
  <app-checklist-item-edit
    *ngFor="let item of getItemsArray(); let i = index"
    [item]="item"
    (enterPress)="onItemEnter(i)">
  </app-checklist-item-edit>
</div>
